#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, m;
    cin>>n>>m;
    int niz[n], pr[n];
    for(int i=0; i<n; i++)
    {
        cin>>niz[i];
        pr[i]=0;
    }
    int x, y;
    for(int i=0; i<m; i++)
    {
        cin>>x>>y;
        x--;
        y--;
        if(abs(niz[x])>abs(niz[y]))
        {
            if(niz[x]>=0)
            {
                pr[x]++;
                pr[y]++;
            }
            else
            {
                pr[x]--;
                pr[y]--;
            }
        }
        else if(abs(niz[x])<abs(niz[y]))
        {
            if(niz[y]>=0)
            {
                pr[x]++;
                pr[y]++;
            }
            else
            {
                pr[x]--;
                pr[y]--;
            }
        }
        else
        {
            if(niz[x]>0 || niz[y]>0)
            {
                pr[x]++;
                pr[y]++;
            }
            else
            {
                pr[x]--;
                pr[y]--;
            }
        }
    }
    int suma=0;
    for(int i=0; i<n; i++)
    {
        suma+=niz[i]*pr[i];
    }
    cout<<suma<<endl;
    return 0;
}